{% extends 'base.html' %}


<head>
    <title>Categories</title>
</head>
{% block content %}
<body>
    <main class="main">
        <h1> Exspense Categories </h1>
        <table>
            <tr>
                <th>Name</th>
                <th>Number of Receipts</th>
            </tr>
            {% for x in expensecategory_list %}
            <tr>
                <td>{{ x.name }}</td>
                <td>{{ x.receipts.all|length }}</td>
            </tr>
            {% endfor %}
        </table>
    </main>
    <footer>

    </footer>
</body>
{% endblock content %}